.blog_wrap {
  padding: 95px 0;
}

.blog_wrap .media {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: 1px solid #D6DCE1;
  border-radius: 10px;
  padding: 18px 16px;
  margin-bottom: 20px;
}

.blog_wrap .blog-container .title {
  margin-bottom: 15px;
}

.blog_wrap .blog-container .title a {
  color: #343A42;
  font-size: 30px;
  line-height: 40px;
  letter-spacing: -0.1px;
  font-weight: 400;
  font-family: "Marcellus", serif;
  text-decoration: none;
  transition: color 0.3s ease;
}

.blog_wrap .blog-container p,
.blog_wrap .blog-container .comment a,
.blog_wrap .page-not-show {
  color: #5A5F64;
  font-size: 18px;
  line-height: 30px;
  font-weight: 400;
  font-family: "Urbanist", sans-serif;
}

.blog_wrap .page-not-show {
  font-size: 22px;
}

.blog_wrap .blog-container .comment a {
  text-decoration: none;
  transition: color 0.3s ease;
}

.blog_wrap .blog-container .date,
.blog_wrap .blog-container .comment a {
  font-weight: 500;
}

.blog_wrap .blog-container p a,
.blog_wrap .page-not-show a {
  text-decoration: none;
  font-weight: 500;
  color: #3AAC4C;
  transition: color 0.3s ease;
}

.blog_wrap .blog-container .title a:hover,
.blog_wrap .blog-container .comment a:hover {
  color: #07a752;
}

.blog_wrap .blog-container .intro a:hover,
.blog_wrap .page-not-show a:hover {
  color: #185020;
}

.blog_wrap .img_box {
  width: 100%;
  border-radius: 10px;
  overflow: hidden;
}

/* pagination */
.blog_wrap .pagination {
  gap: 10px;
  margin-top: 40px;
  margin-bottom: 40px;
}

.blog_wrap li.page-item.first,
.blog_wrap li.page-item.last {
  display: none;
}

.blog_wrap .page-item a,
.blog_wrap .page-item span {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 32px;
  height: 32px;
  font-size: 16px;
  font-weight: 600;
  color: #545D7A;
  border: 1px solid #dee2e6;
  border-radius: 3px;
  transition: all 0.3s ease;
}

.blog_wrap .page-item a:hover,
.blog_wrap .page-item span:hover, 
.blog_wrap .page-item.active .page-link {
  background-color: #3bac4d;
  color: white;
  border-color: #3bac4d;
}

.blog_wrap .page-item .dots {
  pointer-events: none;
  border: none;
  background-color: transparent;
  width: auto;
  padding: 0;
  opacity: 0.6;
}

.blog_wrap .page-item.disabled .page-link {
  pointer-events: none;
  opacity: 0.4;
}

.blog_wrap .page-item.prev a,
.blog_wrap .page-item.next a {
  font-size: 0;
  border: 0;
}

.blog_wrap .page-link:focus {
  box-shadow: none;
}

.blog_wrap .page-item.prev .page-link::before,
.blog_wrap .page-item.next .page-link::after {
  content: '';
  border: solid #495057;
  border-width: 0 2px 2px 0;
  padding: 5px;
  display: inline-block;
  transform: rotate(135deg);
  transition: all 0.3s ease;
}

.blog_wrap .page-item a:hover.page-link::after,
.blog_wrap .page-item a:hover.page-link::before {
  border-color: rgb(255, 255, 255);
}

.blog_wrap .page-item.next .page-link::after {
  transform: rotate(-45deg);
}

.blog_wrap .blog-container p {
  margin: 0;
}

@media (max-width: 1199px) {
  .blog_wrap {
    padding: 80px 0;
  }

  .blog_wrap .blog-container .title a {
    font-size: 26px;
    line-height: 36px;
  }

  .blog_wrap .blog-container .title {
    margin-bottom: 12px;
  }

  .blog_wrap .blog-container p,
  .blog_wrap .page-not-show,
  .blog_wrap .blog-container .comment a {
    font-size: 16px;
    line-height: 24px;
  }
}

@media (max-width: 767px) {
  .blog_wrap .blog_wrap .img_box {
    margin-bottom: 20px;
  }

  .blog_wrap .blog_wrap .img_box img {
    border-radius: 10px;
  }

  .blog_wrap .blog-container .title a {
    font-size: 22px;
    line-height: 30px;
  }

  .blog_wrap {
    padding: 50px 0;
  }

  .blog_wrap .page-not-show {
    margin-bottom: 10px;
  }
}

@media (max-width: 575px) {
  .blog_wrap .page-item {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .blog_wrap .pagination {
    gap: 5px;
    margin-top: 20px;
    margin-bottom: 30px;
  }
  .blog_wrap .page-item span, .blog_wrap .page-item a {
    width: 25px;
    height: 25px;
    font-size: 14px;
    padding: 10px;
  }
}